<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping">
    <entity name="App\Core\Blog\Tags\Domain\Model\Tag"
            table="tags"
            repository-class="App\Core\Blog\Tags\Infrastructure\Repository\TagRepository">
        <unique-constraints>
            <unique-constraint columns="uuid" name="tag_uuid" />
        </unique-constraints>

        <id name="uuid" type="uuid">
            <generator strategy="NONE"/>
        </id>
        <field name="title"/>
        <field name="createdAt" type="datetime_immutable" column="created_at"/>
        <field name="updatedAt" type="datetime_immutable" column="updated_at"/>
    </entity>
</doctrine-mapping>
